---
# tasks file for create-vault-policy
# vault policy write only takes files..
- name: Template vault policy
  template: 
    src: policy.hcl.j2
    dest: ~/tmp-policy.hcl

- name: Write policy
  shell: "vault policy write -address=\"http://{{ vault_service }}.{{ vault_namespace }}.svc.cluster.local:8200\" {{ rotation_name }} ~/tmp-policy.hcl"

- name: Cleanup
  file: 
    state: absent
    path: ~/tmp-policy.hcl